/* .............................................................................
RESETS
Pris certains styles de :
- reboot.css
- https://www.joshwcomeau.com/css/custom-css-reset/
- ... et ajout personnels.
............................................................................. */
*, ::before, ::after {box-sizing:border-box;}
* {margin: 0; overflow-wrap: break-word;}
html {padding: 0; -moz-text-size-adjust: none; -webkit-text-size-adjust: none; text-size-adjust: none; -ms-overflow-style: scrollbar; -webkit-tap-highlight-color: rgba(0, 0, 0, 0); }
article, aside, figcaption, figure, footer, header, hgroup, main, nav, section, picture {display: block; }
h1, h2, h3, h4, h5, h6, p, fieldset, ul, ol, li, figure, picture, blockquote, cite {padding: 0; border: 0;}
cite {font-style: normal; }
hr {display: block;height: 1px;border: 0;border-top: 1px solid #ccc;margin: 1em 0;padding: 0;}
audio, canvas, iframe, img, svg, video, picture {display: block; max-width: 100%;}
textarea {resize: vertical;}
table {width: auto;height: auto;padding: 0;border: none;border-collapse: inherit;border-spacing: 0;border-color: inherit;text-align: left;font-weight: inherit;}

/* Opinionated : https://www.joshwcomeau.com/css/custom-css-reset/#digit-font-smoothing */
body {-webkit-font-smoothing: antialiased; line-height: 1;padding: 0;}


/* Pour debug */
/* * { outline: 1px solid red; outline-offset: -1px; } */

/* Pour debug #2 */
/* * { background-color: rgba(255,0,0,.2); }
* * { background-color: rgba(0,255,0,.2); }
* * * { background-color: rgba(0,0,255,.2); }
* * * * { background-color: rgba(255,0,255,.2); }
* * * * * { background-color: rgba(0,255,255,.2); }
* * * * * * { background-color: rgba(255,255,0,.2); } */



/* .............................................................................
BASE TAGS
Enlever le base font-size pour s'adapter au user-set font-size.
Voir Chrome / Preferences / Taille de police.
Donc, change les media queries pour des rem.
............................................................................. */
body {color: var(--color-base);background: var(--color-bg-base);}
body.locked {margin: 0;height: 100%;overflow: hidden;}
.onDark {color: var(--color-base-on-dark);}
.onBlue {color: var(--color-base-on-blue);}

/*
Font size global du site.
On le met sur tous les enfants direct et pas directement sur le body car
on veut conserver le user-set font-size. */
body > * {font-size: min(0.46em + 0.53vw, 1.125em);}

	/* 16px on mobile, always */
	@media (max-width:62rem) {
		body > * {font-size: 1em;}
	}


/* Liens de base */
a {text-decoration: none;cursor: pointer;color: inherit; }
a:hover {text-decoration:none;}

/* 
Focus de base : laisser celui du browser par defaut.
Only suppress the focus ring once what-input has successfully started.
Suppress focus ring on form controls for mouse users. */
[data-whatintent='touch'] *:focus,
[data-whatintent='mouse'] *:focus { outline: none; }

/* Sup and sub. */
sup {vertical-align: super;font-size: 40%;}

/* All images responsive */
img, svg {height:auto;width: 100%;display:block;}
img.forceBigger {width: 100%;}

/* Removes animation when the page renders. */
.preload *,
.removeTransition {transition:none !important;}

/* Pretty les paragraphes */
p {text-wrap: pretty; }

/* prefers-reduced-motion detects if the user has the reduced motion 
preference activated to minimize the amount of movements and animations. */
@media screen and (prefers-reduced-motion: reduce) {  
	*,
	*::before,
	*::after {
		/* Very short durations means JavaScript that relies on events still works */
		animation-duration: 0.001ms !important;
		animation-iteration-count: 1 !important;
		transition-duration: 0.001ms !important;
	}
}

/* Default figcaption */
figcaption {font-size: 0.9em;line-height: 1.2;margin-top: 0.8em;}



/* .............................................................................
PAGE BASE
............................................................................. */

/*
WIDTHS
Les largeurs sont assez standard pour avoir des classes uniquement pour ca.
Les exceptions sont gerer dans les styles custom de sections.
Les valeurs sont dans configs.css.

Options de largeur :
1. FULL width : Pas de classe, car par defaut c'est 100% de large
2. STD width : .wStd
3. NARROW width : .wNarrow
*/
.wStd, .wStdLeft {padding-left: var(--width-std-left);}
.wStd, .wStdRight {padding-right: var(--width-std-right);}

/* 
Narrow
Si le narrow est dans un std, on doit reduire la largeur du 
narrow sinon ca fait une double largeur). */
.wNarrow, .wNarrowLeft {padding-left: var(--width-narrow-left);}
.wNarrow, .wNarrowRight {padding-right: var(--width-narrow-right);}

.wStd .wNarrow,
.wStd .wNarrowLeft {padding-left: calc(var(--width-narrow-left) - var(--width-std-left)); }

.wStd .wNarrow,
.wStd .wNarrowRight {padding-right: calc(var(--width-narrow-right) - var(--width-std-right)); }



/*
AUTO STYLED CONTENT:
Useful for CMS pages because the end-user doesn't have to write
specific classes to get the right formatting.

Classes :
- typo
- typoLinks
. typoLinksImg
*/
.typo {line-height: 1.5; }

	/* Owl selector */
	.typo > * + p,
	.typo > * + ul,
	.typo > * + ol,
	.typo > * + figure {margin-top: 1.2em; }

	/* Default ul */
	.typo ul:not([class]), ul.list {--paddingLeft: 2em;--bulletSize: 0.3em;list-style: none;}
	.typo ul:not([class]) li, ul.list li {list-style:none;margin-bottom: 0;padding-left: var(--paddingLeft);position: relative;}
	.typo ul:not([class]) li::before, ul.list li::before {backface-visibility: hidden;position: absolute;display: block;content: '';background-color: var(--color-red);width: var(--bulletSize);height: var(--bulletSize);border-radius: 50%;top: 0.6em;left: 0;}

		/*
		ALT :
		Spacing: .typo--listSpacing | .list--spacing */
		.typo--listSpacing ul:not([class]) li + li,
		ul.list--spacing li + li {margin-top: 0.5em;}

	/* Default ol */
	.typo ol:not([class]) {--paddingLeft: 2em;list-style: none;counter-reset:li;}
	.typo ol:not([class]) li {list-style: none;counter-increment: li;padding-left: var(--paddingLeft);position: relative;}
	.typo ol:not([class]) li::before {position: absolute;left: 0;top: 0;display: block;content: counter(li);color: currentColor;font-weight:bold;width: var(--paddingLeft); color: var(--color-red);}

		/*
		ALT :
		Spacing: .typo--listSpacing | .list--spacing */
		.typo--listSpacing ol:not([class]) li + li {margin-top: 0.5em;}

	/* On dark */
	.typo .onDark ul:not([class]) li::before,
	.typo .onDark ol:not([class]) li::before {background-color: var(--color-bg-base);}

	/* 
	ALT: 
	Less flow.
	Smaller spacing between paragraphs. */
	.typo--lessFlow { }

	.typo--lessFlow * + p:not([class]),
	.typo--lessFlow * + ul,
	.typo--lessFlow * + ol {margin-top: 0.5em;}

	/* 
	ALT: 
	Bigger text. */
	.typo--bigText { }
	.typo--bigText p:not([class]) {font-size: 1.2em; }


/* Links */
.typoLink,
.typoLinks { }

	.typoLink,
	.typoLinks a {color:var(--color-red); text-decoration:underline; text-underline-offset: 0.15em; text-decoration-thickness: 0.1em; transition: color 0.2s; }

	/* Hover */
	.typoLink:hover,
	.typoLinks a:hover {color:var(--color-base);}

/* Subtle links with no underline and same color as text */
.typoLinkSubtle,
.typoLinksSubtle { }

	.typoLinkSubtle,
	.typoLinksSubtle a {color: var(--color-base); text-decoration: none; transition: color 0.2s; }

	/* Hover */
	.typoLinkSubtle:hover,
	.typoLinksSubtle a:hover {color: var(--color-red);}

	/* On dark */
	.onDark .typoLinkSubtle,
	.onDark .typoLinksSubtle a {color: var(--color-base-on-dark); }

		/* Hover */
		.onDark .typoLinkSubtle:hover,
		.onDark .typoLinksSubtle a:hover {color: var(--color-red);}

/* Links on image = opacity change on hover */
.typoLinkImg,
.typoLinksImg { }

	.typoLinkImg,
	.typoLinksImg a {display: block; text-decoration: none; transition: opacity 0.2s; }

	/* Hover */
	.typoLinkImg:hover,
	.typoLinksImg a:hover {opacity: 0.7; }



/*
LISTS
Listes ul li utiles dans le site. */

/* Liste sans style */
.listNS {list-style: none;}

/* Liste inline horizontale. */
.listInline {--spacing: 1em;list-style: none;display: inline-flex;flex-wrap: wrap;margin-left:calc(-1 * var(--spacing));margin-right:calc(-1 * var(--spacing));}
.listInline li {flex: 0 1 auto; display: block; position: relative; padding: 0 var(--spacing); }
.listInline li:not(:last-child)::before {position:absolute; z-index:1; display:block; content:''; top:0; bottom:0; right:0; width: 1px; background: currentColor; }

/* Liste inline horizontale plus grosse. */
.listInlineBig {list-style: none;padding-left: 0;line-height: 1.5;}
.listInlineBig li {position: relative;display: inline-block;font-size: 1.65em;margin-bottom: 0;padding-left: 0;}
.listInlineBig li:not(:last-child) {margin-right: 2em;}
.listInlineBig li:not(:last-child)::before {content: "|";display: block;position: absolute;right: -1.2em;}



/* .............................................................................
SVGs
Styles des SVGs du site. Les SVGs sont majoritairement utile pour les
icones, mais pas uniquement pour ca.
............................................................................. */

/*
SVG ICON
Chaque icone / SVG est wrapped dans un .svgIcon.
On utilise <span>, mais si pertinent on prend autre chose (ex : <figure>) */
.svgIcon {display:block;font-size: 1em;line-height: 1;width: 1em;height: 1em;}
.svgIcon > svg {max-width: none; display: block; fill: currentColor; width: 1em; height: 1em;}


/*
SVG IMAGE
Les images SVG (ex : logo) sont wrapped dans un .svgImg.
On utilise <span>, mais si pertinent on prend autre chose (ex : <figure>) */
.svgImg {display:block;line-height: 1;width: 100%;height: auto;}
.svgImg > svg {fill: currentColor;}

	